CSS_1 = '''
/* Comment 1 */
div#main { 
  font-family: Verdana, "Courier New"      ;
}


h2 { 
  /* Comment 2 */
  font-size: 10px;
}
'''

expect_CSS_1 = '''
div#main{font-family:Verdana,"Courier New";}
h2{font-size:10px;}
'''


#----------------------------------------------------------------------------

CSS_2 = '''
<style type="text/css">
div#main { 
  font-family:  Verdana, "Courier New"      ;
}

h2 { 
  font-size: 10px;
}
</style>
'''

expect_CSS_2 = '''
<style type="text/css">
div#main{font-family:Verdana,"Courier New";}
h2{font-size:10px;}
</style>
'''
#----------------------------------------------------------------------------
CSS_3 = r'''
#centercontent {
    border:1px solid #000000;
    voice-family: "\"}\"";
    voice-family: inherit;
    margin-left: 201px;
    }
'''    

expect_CSS_3 = r'''
#centercontent{border:1px solid #000;voice-family:"\"}\"";voice-family:inherit;margin-left:201px;}
'''    

#----------------------------------------------------------------------------
CSS_4 = r'''
p     {  color:#123456;   }


select {
	font-family: Verdana,Arial,Helvetica,sans-serif;
	font-size: 11px;
	color: #000000;
	/*
	background-color: #FFFFFF;
	*/
}
#myDiv { float: left; background: transparent; }
'''

expect_CSS_4 = r'''p{color:#123456;}
select{font-family:Verdana,Arial,Helvetica,sans-serif;font-size:11px;color:#000;}
#myDiv{float:left;background:transparent;}'''

#----------------------------------------------------------------------------

HTML_1='''
<img src="a.gif" width="100" width="100" height='100' border=0>
<STYLE type="text/css">
div#main {
  font-family:Verdana,   "Courier New"      ;
}
</style>
<pre>
  Here
    width="100"
    
    
</pre>
'''
   
expect_HTML_1='''
<img src="a.gif" width="100" width="100" height='100' border=0><STYLE type="text/css">
div#main{font-family:Verdana,"Courier New";}
</style><pre>
  Here
    width="100"
    
    
</pre>
'''


#----------------------------------------------------------------------------

HTML_2='''
<a   href="x"
 width="100%" border='0'>Pointless         extra
 
space</a>

<!-- one line comment -->
<!-- two line
comment -->

<script language="Javascript">
<!-- hide this
function foo() {
    alert("Hell");
}
//-->
</script>

'''
   
expect_HTML_2='''
<a href="x" width="100%" border='0'>Pointless         extra
 
space</a><!-- two line
comment --><script language="Javascript"><!-- hide this
function foo() {
    alert("Hell");
}
//--></script>
'''


#----------------------------------------------------------------------------

HTML_3='''
<input       value="    OK    "    >
<img   alt='    hej   '    title="  Bajs  "  width=32  >

<a href="x" width="100%"     border=0>Pointless         extra

space</a>
<img src='blank.gif'
  border='0' height='32'  alt='' width='32'>
'''
   
expect_HTML_3='''
<input value="    OK    "><img alt='    hej   ' title="  Bajs  " width=32 ><a href="x" width="100%" border=0>Pointless         extra

space</a><img src='blank.gif' border='0' height='32' alt='' width='32'>
'''

